<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Plush</Series>
  <Number>3</Number>
  <Web>https://www.amazon.com/dp/B0BR65698R</Web>
  <Summary>ROAD TRIP! The cannibalistic furries have abducted Devin away on a fiery SWAT van road trip to visit the group’s creepy mansion of horrors. Keebler drives and Scratch rides shotgun as Kasha and Devin argue whether he’s suitable enough to eat or not.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BR65698R]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Horror, Comedy, Suspense</Genre>
  <PageCount>32</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
